DOMDocument::saveXML
DOMDocument::schemaValidateSource
DOMDocument
PHP Manual

# DOMDocument::schemaValidate

(No version information available, might be only in CVS)

DOMDocument::schemaValidate — Validates a document based on a schema

### Description

bool DOMDocument::schemaValidate ( string `$filename` )

Validates a document based on the given schema file.

### Parameters

`filename`

  The path to the schema.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMDocument::schemaValidateSource
- DOMDocument::relaxNGValidate
- DOMDocument::relaxNGValidateSource
- DOMDocument::validate

DOMDocument::saveXML
DOMDocument::schemaValidateSource
DOMDocument
PHP Manual